<?php
require_once'fun.php';
$td=date('Y-m-d-H');
if($td!=$conn->query('SELECT`valoare`FROM`setari`WHERE`nume`="cron_orar"')->fetch_row()[0])
{
require'f_sterg.php';
$cron_orar='';
$camere=$conn->query('SELECT`id`,`nume`FROM`chat_camere`WHERE`static`="0"&&`data`<"'.($_SERVER['REQUEST_TIME']-180).'"');
while($camera=$camere->fetch_row())
{
if($conn->query('SELECT COUNT(*)FROM`chat_conectati`WHERE`cid`="'.$camera[0].'"')->fetch_row()[0]==0)
{
$cron_orar.='
A fost ștearsă camera '.$camera[1].' cu identitatea '.$camera[0];
sterge_camera_chat($camera[0]);
}
}
$camere->close();
$looser=$conn->query('SELECT`la`FROM`membrii_de_sters`ORDER BY`id`LIMIT 1')->fetch_row()[0];
if($looser>0)
{
$cron_orar.='
A fost șters membrul '.nume($looser,1).' cu identitatea '.$looser;
sterge_membru($looser,1);
}
if($cron_orar!='')
{
$fp=fopen('log/cron_orar.txt','a');
fwrite($fp,'Data: '.date('d-m-Y - H:i:s').$cron_orar.'



');
fclose($fp);
}
unset($fp,$cron_orar);
$conn->query('UPDATE`setari`SET`valoare`="'.$td.'"WHERE`nume`="cron_orar"');
}
unset($td);
###require'f_fun.php';